For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of dbs with status on their imports and exports
          • GETRetrieves a list of accounts for a user
          • GETRetrieves a list of accounts for a user, paginated with fuzzy search.
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformAccounts

Retrieves a list of accounts for a user, paginated with fuzzy search.

GET
https://meta.feedonomics.com/api.php/user/list-accounts
GET
/api.php/user/list-accounts
$curl https://meta.feedonomics.com/api.php/user/list-accounts \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "accounts": [
3 {
4 "id": "73",
5 "account_name": "admin",
6 "logo": null,
7 "highest_permission": "primary",
8 "lowest_permission": "primary",
9 "account_access_flag": "1",
10 "user_favorite": false
11 },
12 {
13 "id": "74",
14 "account_name": "Account 1",
15 "logo": null,
16 "highest_permission": "primary",
17 "lowest_permission": "primary",
18 "account_access_flag": "1",
19 "user_favorite": false
20 },
21 {
22 "id": "75",
23 "account_name": "Account 2",
24 "logo": null,
25 "highest_permission": "primary",
26 "lowest_permission": "primary",
27 "account_access_flag": "1",
28 "user_favorite": false
29 }
30 ],
31 "pagination": {
32 "results_per_page": 50,
33 "page": 1,
34 "total_pages": 1,
35 "total_results": 3,
36 "query": ""
37 }
38}
Was this page helpful?
Previous

Retrieves a list of accounts for a user

Next

Retrieves a list of databases for an account

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-api-keystringRequired

Query parameters

pageintegerOptional
Page number, begins at 1, defaults to 1 if not present
results_per_pageintegerOptional
How many accounts to return per page, defaults to 50 if not present
querystringOptional
A search query that will filter the list of accounts returned, a weighted fuzzy search.

Response

Successful operation
idstring
account_namestring
logostringformat: "nullable"
highest_permissionstring
lowest_permissionstring
account_access_flagstring
user_favoriteboolean
total_pagesinteger
total_resultsinteger
results_per_pageinteger
pageinteger
querystring